Subject: Minutes: KRB-WG IETF 56 - San Francisco

From: "Douglas E. Engert" <[email-masked]>
Date: Wed, 09 Apr 2003 10:12:27 -0500

The Kerberos WG met on 3/17/3 for about 1 and a half hours. In attendance
where approximately 53 people. 

Doug Engert the chairman open the meeting, and a scribe was selected.
But since the scribe's computer broke during the meeting, we don't have
the official notes, so this this is a compilation of notes from others.  
So if there is something missing, please get the comments to the list. 

Sam gave a presentation on the recent Kerberos 4 vulnerabilities. Steve
Bellovin wrote a paper on this subject in 1991 or 92, but was one paragraph short
of describing the attack.

Cliff, and Ken talked on the three key drafts: Clarifications, KCRYPTO,
and AES as they need to progress together to WG last call. Clarifications and AES 
are now ready for last call, KCRYPTO  needs some minor changes and should be ready 
in a few days.  Clarifications has already gone through a last call, so it expected
to progress.  These three drafts need to progress together, and need to progress 
before many of the other drafts, including the Extensions draft. 

Wyllys talked on the major revision of the change-set-password draft, which is 
being positioned to work with Clarifications and Extensions. 

Jeff Altman, talked about the UTF-8 draft, and the SASL equivalent draft. 
He will be looking at merging them, with help from the SASL chair. This should
be a win-win situation for both WGs.

Sasha addressed Packet Cable issues: 
   - PacketCable (VoIP security) is using a frozen version of Kerberos 
     revisions draft, before some features (e.g., keyed checksums) were
     removed for interoperability with RFC 1510.
   - When Kerberos extensions is defined with those features removed from 
     clarifications, PacketCable may be able to at least optionally
     support an IETF RFC for Kerberos extensions.
   - PacketCable is also using latest versions of PKINIT and PKCROSS IETF drafts.
   - I didn't have any changes to report on the PKINIT draft; still have same 
     issues to address on UTF8 string encoding and translation from X.500 names to 
     Kerberos principal names and realms.  Need to reference latest crypto and
clarifications drafts.

I talked on the IAKERB  about how it had been before the IESG, for over a year, 
but there has been some concerns about it.  It has being withdrawn, and will be 
considered again if there is  substantial interest. It should be update with 
regards to Extensions.  (Since then I realize I should not have made this statement.
I and the AD have been in contact with the author on this, and it is expected the
draft will be resubmitted.) 

Sam further commented: 

"I don't believe that iakerb is likely to have any issues with
clarifications, but the mode of iakerb that has reduced number of
round trips is likely to be incompatible with extensions because
extensions will integrity-protect  the request to make sure no changes are
made."

"I believe that one of iakerb, EAP krb5, , EAP GSS should actually go
forward.  Eap krb5 has been sketched out (although not publicly) but
does not really exist within the IETF context.  EAP GSS has
significant security issues and I hope it does not go forward at all.
Iakerb has significant esthetic issues that we have discussed to death
here.  I think we should wait until there is clear interest either
from the wireless or dialup community that they want to use Kerberos
and then work on one of these mechanisms." 
  
-- 

 Douglas E. Engert  <[email-masked]>
 Argonne National Laboratory
 9700 South Cass Avenue
 Argonne, Illinois  60439 
 (630) 252-5444